# Stores position of player in scoreboards
execute store result score pos_x redwood.near_spawn run data get entity @s Pos[0]
execute store result score pos_y redwood.near_spawn run data get entity @s Pos[1]
execute store result score pos_z redwood.near_spawn run data get entity @s Pos[2]

# Stores position of spawn in scoreboards
execute store result score spawn_x redwood.near_spawn run data get entity @s SpawnX
execute store result score spawn_y redwood.near_spawn run data get entity @s SpawnY
execute store result score spawn_z redwood.near_spawn run data get entity @s SpawnZ

# Finds difference between spawn position and player position
execute store result score delta_x redwood.near_spawn run scoreboard players operation spawn_x redwood.near_spawn -= pos_x redwood.near_spawn
execute store result score delta_y redwood.near_spawn run scoreboard players operation spawn_y redwood.near_spawn -= pos_y redwood.near_spawn
execute store result score delta_z redwood.near_spawn run scoreboard players operation spawn_z redwood.near_spawn -= pos_z redwood.near_spawn

# If one of the directions is above 100, sets the scoreboard to 0, otherwise set to 1
scoreboard players set @s redwood.near_spawn 0
execute if score delta_x redwood.near_spawn matches -100..100 if score delta_y redwood.near_spawn matches -100..100 if score delta_z redwood.near_spawn matches -100..100 run scoreboard players set @s redwood.near_spawn 1

# Sets it to 2 if spawnpoint is at world spawn
execute unless data entity @s SpawnX run scoreboard players set @s redwood.near_spawn 2


# Clears the now un-needed variables
scoreboard players reset pos_x redwood.near_spawn
scoreboard players reset pos_y redwood.near_spawn
scoreboard players reset pos_z redwood.near_spawn

scoreboard players reset spawn_x redwood.near_spawn
scoreboard players reset spawn_y redwood.near_spawn
scoreboard players reset spawn_z redwood.near_spawn

